---
title: "Void/Delete Voucher"
slug: "voiddelete-voucher"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/voiddelete-voucher"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Void/Delete Voucher

Post/ap-rest-api/rest/1/voiddeletevoucher

## Overview

Once an invoice has been posted, it must be voided to reverse its distribution to the General Ledger and its sub-ledgers. The VoidDeleteVoucher API enables the reversal (void) of an invoice using a create action.

## Notes

## UI Navigation

Financials > Accounts Payable > Void Invoices

## Reference Article

[Accounts Payable – Void Invoices](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/AP_-_Accounts_Payable/Reference/Process_Invoices/Void_Posted_Vouchers.htm?Highlight=void%20invoices)

## voiddeletevoucher Attributes (Required)

| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example |
| --- | --- | --- | --- | --- | --- | --- |
| Company Code | voiddeletevoucher | CompCode | This is the company code the voided invoice belongs to. This must be a valid Company Code in CMiC. | string | 8 | 001 |
| Vendor Code | voiddeletevoucher | VenCode | This is the vendor the voided invoice was originally created under. This must be a valid AP Vender code in CMiC. | string | 8 | MICR01 |
| Invoice Code | voiddeletevoucher | InvCode | This is the invoice number entered when the invoice was originally created. | string | 20 | INV-12412 |
| Void Date | voiddeletevoucher | VoidDate | This is the date the invoice will be reversed. | datetime | YYYY-MM-DD | 2025-09-26 |
| Post Flag | voiddeletevoucher | PostFlag | This flag posts the void by committing the record into financials on insert. | string | 1 | Y/N |
| Voucher Number | voiddeletevoucher | VouNum | This is the Voucher Number associated with the invoice when it was created. | number | 10 | 217032 |

SecurityHTTPType basic

Basic authentication

Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.action+json

Body parameters<select class='api-response-data' aria-label='Media type'><option value='e1d033ae-0ffe-4c63-b179-92e4498f6ab1'>application/json</option>
</select>object  Example{
  "name": "voidDeleteVoucher",
  "parameters": [
    {
      "compCode": "RKC"
    },
    {
      "invCode": "62815600"
    },
    {
      "vouNum": "157213"
    },
    {
      "venCode": "ARROW"
    },
    {
      "postFlag": "N"
    },
    {
      "voidDate": "2025-01-14"
    }
  ]
}

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.actionresult+json
<select class='api-response-data' aria-label='Media type'><option value='7bdb03ed-b07f-45ec-9f06-2f3afe5baa1e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7f4ccd6b-e9d6-4db4-9c60-64deca346a4e'>example-0</option>
<option value='df45e1d7-30b9-43c8-ba57-4cf32031e558'>example-1</option>
</select>example-0

Successful Response

```json
{
  "result": "SUCCESS"
}
```

example-1

Successful Response

```json
{
  "result": "SUCCESS"
}
```

object  

400

Bad Request

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.actionresult+json
<select class='api-response-data' aria-label='Media type'><option value='ecff16d3-2a31-46a4-a3ba-5b8b5e3b4f70'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='2c9bd9fd-f144-4e28-b78f-600d6b239402'>example-0</option>
<option value='e3c6757b-e7cd-46be-9d84-5ce0b929b981'>example-1</option>
</select>example-0

Unsuccessful Response

```json
{
  "error": "Error: No matching records found for the combination of Company Code: RKC, Vendor Code: ARRO, Invoice Code: 62815600, Voucher Number: 157213"
}
```

example-1

Unsuccessful Response

```json
{
  "error": "Error: No matching records found for the combination of Company Code: RKC, Vendor Code: ARRO, Invoice Code: 62815600, Voucher Number: 157213"
}
```

object
